Bug 170666 - CVE-2005-3185 NTLM buffer overflow
CVE-2005-3185 NTLM buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: wget (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
http://article.gmane.org/gmane.comp.w...
reported=20051012,public=20051012,imp...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 13:24 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-812
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 05:20:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from upstream (693 bytes, patch)
2005-10-13 13:24 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-10-13 13:24:24 EDT
The NTLM authentication code in wget was derived form the libcurl NTLM auth, so
wget is vulnerable to this issue.

This text was scavanged from the libcurl advisory:

libcurl's NTLM function can overflow a stack-based buffer if given a too long
user name or domain name. This would happen if you enable NTLM authentication
and either:

 A - pass in a user name and domain name to libcurl that together are longer
     than 192 bytes

 B - allow (lib)curl to follow HTTP "redirects" (Location: and the appropriate
     HTTP 30x response code) and the new URL contains a URL with a user name
     and domain name that together are longer than 192 bytes
Comment 1 Josh Bressers 2005-10-13 13:24:24 EDT
Created attachment 119931 [details]
Proposed patch from upstream
Comment 2 Josh Bressers 2005-10-13 13:25:43 EDT
This issue also affects RHEL2.1 and RHEL3
Comment 3 Karsten Hopp 2005-10-20 10:50:57 EDT
RHSA-2005:812
Comment 4 Red Hat Bugzilla 2005-11-02 07:57:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-812.html
Comment 5 Red Hat Bugzilla 2005-11-03 05:20:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-812.html

Note You need to log in before you can comment on or make changes to this bug.